#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lttng_metadata_channel_destroy, "_gpl", "");
KSYMTAB_FUNC(lttng_transport_register, "_gpl", "");
KSYMTAB_FUNC(lttng_transport_unregister, "_gpl", "");
KSYMTAB_FUNC(lttng_counter_transport_register, "_gpl", "");
KSYMTAB_FUNC(lttng_counter_transport_unregister, "_gpl", "");
KSYMTAB_DATA(lttng_dynamic_len_stack, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_probe_register, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_probe_unregister, "_gpl", "");
KSYMTAB_FUNC(lttng_event_desc_get, "_gpl", "");
KSYMTAB_FUNC(lttng_event_desc_put, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_find_context, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_get_context_index, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_get_context_field_from_index, "_gpl", "");
KSYMTAB_FUNC(lttng_add_pid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_procname_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_prio_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_nice_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vpid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_tid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vtid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_ppid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vppid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_cpu_id_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_uid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_euid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_suid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_gid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_egid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_sgid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vuid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_veuid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vsuid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vgid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vegid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vsgid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_interruptible_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_need_reschedule_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_hostname_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_callstack_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_id_tracker_lookup, "_gpl", "");
KSYMTAB_FUNC(lttng_strlen_user_inatomic, "_gpl", "");
KSYMTAB_FUNC(lttng_add_preemptible_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_cgroup_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_ipc_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_mnt_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_net_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_pid_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_user_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_uts_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_time_ns_to_ctx, "_gpl", "");

MODULE_INFO(depends, "lttng-uprobes,lttng-kretprobes,lttng-lib-ring-buffer,lttng-kprobes,lttng-clock,lttng-wrapper,lttng-statedump");


MODULE_INFO(srcversion, "E3580C40D178089582BC598");
